/*
 * Class WEL_RICH_EDIT_STREAM_IN
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_832 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_832 [] = {0xFF01,1551,831,0xFFFF};
static const EIF_TYPE_INDEX egt_2_832 [] = {0xFF01,831,0xFFFF};
static const EIF_TYPE_INDEX egt_3_832 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_832 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_832 [] = {0xFF01,831,0xFFFF};
static const EIF_TYPE_INDEX egt_6_832 [] = {0xFF01,831,0xFFFF};
static const EIF_TYPE_INDEX egt_7_832 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_832 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_832 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_832 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_832 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_832 [] = {0xFF01,831,0xFFFF};


static const struct desc_info desc_832[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_832), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_832), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_832), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_832), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_832), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_832), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_832), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_832), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_832), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_832), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_832), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_832), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x067F /*831*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_832), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19346, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19358, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19338, 5},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19339, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19340, 8},
	{EIF_GENERIC(NULL), 19341, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19342, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19343, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19344, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19345, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19347, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19348, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 19349, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19350, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 19351, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19352, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19353, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19354, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 19356, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19357, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x053B /*669*/), 19359, 0},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19360, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19361, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19362, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19363, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19364, 0xFFFFFFFF},
};
void Init832(void)
{
	IDSC(desc_832, 0, 831);
	IDSC(desc_832 + 1, 1, 831);
	IDSC(desc_832 + 32, 791, 831);
	IDSC(desc_832 + 34, 1359, 831);
	IDSC(desc_832 + 44, 1308, 831);
	IDSC(desc_832 + 54, 1133, 831);
	IDSC(desc_832 + 74, 49, 831);
}


#ifdef __cplusplus
}
#endif
